Enspace
  1. Integrations
Enspace
  • Introduction
  • Authentication
  • Concepts
  • First Steps
  • Workspaces
    • Types
      • Fields
        • List Fields
        • Create Field
        • Get Field
        • Field Updated
        • Delete Field
      • Items
        • List Items
        • Create Item
        • Count Items
        • Get Item
        • Update Item
        • Delete item
      • Flows
        • Stages
          • Tasks
            • Tutorial Actions
              • Integrations
                • Tutorial Integrations
            • List Tasks
            • Get specific Task
            • New Task
          • List Stages
          • Get specific Stage
        • List Flows
        • Get specific Flow
      • Forms
        • List Form
        • Get specific Form
        • List Form Create
      • List Types
      • Count Types
      • Get specific Type
      • Create Type
      • Update Type
      • Delete Type
    • Members
      • List Members
      • Count Members
      • Get Member
      • New Member
      • Update Member
      • Remove Member
    • Roles
      • List roles
      • Create role
      • Count roles
      • Get specific role
      • Update role
      • Delete role
      • List Role Permissions
      • Add Permission to Role
      • Remove Role Permission
    • Member Groups
      • List groups
      • New group
      • Get group
      • Update group
      • Delete group
      • Add Users
      • Remove Users
    • Quick Tasks
      • List Quick Tasks
      • Count Quick Tasks
      • Get Quick Task
      • Delete Quick Task
      • Update Quick Task
      • New Quick Task
    • Integrations
      • Integration
        GET
      • Create Integration
        POST
    • List Workspaces
      GET
    • Workspace Context
      GET
    • New Workspace
      POST
    • Leave the workspace
      POST
    • Workspace Statistics
      GET
    • Workspace Deletion Preview
      GET
    • Delete Workspace
      DELETE
  • User
    • Request Log
      GET
    • List API Keys
      GET
  • Schemas
    • Schemas
      • Members
        • MemberUpdate
        • MemberCreate
        • Member
      • Roles
        • Role
        • RoleCreate
        • RoleUpdate
      • MemberGroups
        • MemberGroup
        • MemberGroupCreate
        • MemberGroupUpdate
      • Types
        • Type
        • TypeInput
        • TypeDetail
      • Items
        • Item
        • ItemInput
      • Workspace
        • WorkspaceContext
        • WorkspaceStats
        • Workspace
        • WorkspaceCreate
        • WorkspaceUpdate
      • Tasks
        • Tasks
      • Flow
        • Flow
      • Stages
        • Stage
      • Forms
        • Forms
      • Integrations
        • Integrations
      • User
      • RequestLog
      • UserApiKey
      • SuccessResponse
      • ErrorResponse
      • Field
      • FieldInput
      • Permission
      • PermissionInput
      • Error
    • Response
      • BadRequest
      • Unauthorized
      • Forbidden
      • NotFound
      • ServerError
  1. Integrations

Create Integration

Developing
Develop Env
https://api-develop.enspace.io
Develop Env
https://api-develop.enspace.io
POST
https://api-develop.enspace.io
/workspace-integrations
Maintainer:João Prado

Create Integration#

This request creates and configures a new integration instance within the system. Integrations allow the platform to communicate with external services, enabling automated data exchange, event notifications, and execution of external processes.
When an integration is created, configuration parameters such as the execution environment, authentication token, webhook endpoint, and key mapping behavior are defined. These settings ensure secure communication and determine how the system interacts with the external service.

Request Body Fields#

integration (integer)#

The identifier of the integration type that will be configured.
This value determines which external service or integration module will be used.

Data Configuration#

data.environment (string)#

Defines the environment where the integration will operate.
Possible values:
stage – Integration configured for staging/testing environment.
production – Integration configured for the production environment.

data.changeKeys (boolean)#

Indicates whether the system should automatically adjust or map field keys when sending or receiving data from the external integration.
true – The system will change or map keys automatically.
false – Keys will be used exactly as defined.

data.token (string)#

Authentication token used to authorize requests between the platform and the external integration service.

data.webhookCatcherEndpoint (string)#

The webhook endpoint that will receive callbacks or events from the external service.
This URL is used for event notifications, status updates, or responses generated by the integration.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
API Key
Add parameter in header
en-workspace
Example:
en-workspace: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api-develop.enspace.io/workspace-integrations' \
--header 'x-api-key: <api-key>' \
--header 'en-workspace: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "id": 15,
  "data": {
    "changeKeys": false,
    "environment": "stage",
    "webhookCatcherEndpoint": "https://api-develop.enspace.io/webhooks/certisign"
  },
  "integration": {
    "id": 1,
    "name": "Certisign",
    "description": "integrations.certisign.description",
    "category": "integrations.certisign.category",
    "slug": "certisign",
    "created_at": "2025-06-17T15:40:10.353Z",
    "updated_at": "2025-06-17T15:40:10.353Z",
    "media": []
  },
  "status": "active",
  "created_at": "2026-03-11T20:02:10.058Z",
  "updated_at": "2026-03-11T20:02:10.068Z"
}'
Response Response Example
{
    "type": "Lorem laboris dolore",
    "items": {
        "type": "eiusmod in",
        "properties": {
            "id": {
                "type": "commodo"
            },
            "data": {
                "type": "occaecat ut ea eiusmod",
                "properties": {
                    "changeKeys": {
                        "type": "eu deserunt eiusmod"
                    },
                    "environment": {
                        "type": "aliqua sint culpa enim"
                    },
                    "webhookCatcherEndpoint": {
                        "type": "fugiat"
                    }
                },
                "required": [
                    "ea sint dolor reprehenderit"
                ],
                "x-apidog-orders": [
                    "eu reprehenderit exercitation cillum",
                    "deserunt",
                    "aliqua"
                ]
            },
            "integration": {
                "type": "dolore est non",
                "properties": {
                    "id": {
                        "type": "dolore deserunt in"
                    },
                    "name": {
                        "type": "sit laboris qui"
                    },
                    "description": {
                        "type": "fugiat ut laborum"
                    },
                    "category": {
                        "type": "qui"
                    },
                    "slug": {
                        "type": "velit"
                    },
                    "created_at": {
                        "type": "dolore ullamco in consequat officia"
                    },
                    "updated_at": {
                        "type": "quis nisi magna elit"
                    }
                },
                "required": [
                    "officia deserunt"
                ],
                "x-apidog-orders": [
                    "ut cillum exercitation",
                    "sint id nulla fugiat ex"
                ]
            },
            "status": {
                "type": "consectetur"
            },
            "created_at": {
                "type": "id velit in ut"
            },
            "updated_at": {
                "type": "non aliqua"
            }
        },
        "x-apidog-orders": [
            "dolore",
            "sunt sit minim in",
            "ut"
        ],
        "required": [
            "sed",
            "ipsum in exercitation pariatur"
        ]
    }
}
Previous
Integration
Next
List Workspaces
Built with